Bug 124980 - cannot enter password with leading spaces
cannot enter password with leading spaces
Status: CLOSED DUPLICATE of bug 133805
Product: Fedora Legacy
Classification: Retired
Component: usermode (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
Depends On:
  Show dependency treegraph
Reported: 2004-06-01 15:24 EDT by Michael Loeblich
Modified: 2007-04-18 13:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-28 06:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The patch to fix the leading space problem (521 bytes, patch)
2005-04-27 12:27 EDT, Jindrich Novy
no flags Details | Diff

  None (edit)
Description Michael Loeblich 2004-06-01 15:24:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
consolehelper is intendet to autheticate for root rights to run
priveleged programs. If root password contains a leading space, its
not accepted by the graphical query window, the command line
incarnation works fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.under gnome choose privileged program, for example "red
hat"->"Systems settings"->"Network"
2.type in root password with leading spaces
3.the graphical password query window does not disappear and gain access

Additional info:
Comment 2 Jindrich Novy 2004-09-29 07:16:57 EDT
*** Bug 133805 has been marked as a duplicate of this bug. ***
Comment 3 Matthew Miller 2005-04-26 11:44:16 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Jindrich Novy 2005-04-27 12:27:59 EDT
Created attachment 113723 [details]
The patch to fix the leading space problem

This patch fixes the the leading spaces problem for usermode-1.68, but should
be applicable to usermode-1.70-2 as well.
Comment 5 Matthew Miller 2005-04-27 14:41:17 EDT
Should this be moved to 'devel'?
Comment 6 Matthew Miller 2005-04-27 14:42:37 EDT
(I don't think we're likely to patch this for FC2.... while root passwords are
security-related in an inherent sort of way, it's basically a bug fix. Even if
it is a sensible good bug fix.)
Comment 7 Jindrich Novy 2005-04-28 03:17:54 EDT
Nope, this is fixed already in devel for some time. This won't affect security
at all, note that the patch actually prevents usermode from deleting leading
spaces from passwords, what is pretty odd as the authentization will work with
any authentization tool with passwords with leading spaces but not with
usermode. I strongly recommend to patch the FC2 version of usermode as the bug
seems to be very annoying in some cases.
Comment 9 Jindrich Novy 2005-04-28 06:24:58 EDT

*** This bug has been marked as a duplicate of 133805 ***
Comment 10 Matthew Miller 2005-04-28 08:12:00 EDT
I'm not authorized to access bug #133805. Does that need to remain locked?

Note You need to log in before you can comment on or make changes to this bug.